VERSION 5.00
Begin VB.Form Form1 
   Caption         =   "DOGM 163  USB Ansteuerung von Andreas Koehler"
   ClientHeight    =   5265
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   8400
   LinkTopic       =   "Form1"
   ScaleHeight     =   5265
   ScaleWidth      =   8400
   StartUpPosition =   3  'Windows-Standard
   Begin VB.TextBox Text3 
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   18
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   615
      Left            =   240
      MaxLength       =   16
      TabIndex        =   5
      Top             =   3120
      Width           =   4815
   End
   Begin VB.TextBox Text2 
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   18
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   615
      Left            =   240
      MaxLength       =   16
      TabIndex        =   4
      Top             =   2280
      Width           =   4815
   End
   Begin VB.TextBox Text1 
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   18
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   615
      Left            =   240
      MaxLength       =   16
      TabIndex        =   3
      Top             =   1440
      Width           =   4815
   End
   Begin VB.CommandButton LCDloeschen 
      Caption         =   "LCD loeschen"
      Height          =   1215
      Left            =   5640
      TabIndex        =   2
      Top             =   1440
      Width           =   2295
   End
   Begin VB.CommandButton Command3 
      Caption         =   "Schliessen"
      Height          =   1215
      Left            =   5640
      TabIndex        =   1
      Top             =   2880
      Width           =   2295
   End
   Begin VB.CommandButton Command1 
      Caption         =   "Start"
      Height          =   1095
      Left            =   5640
      TabIndex        =   0
      Top             =   120
      Width           =   2295
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Rem Ansteuerung DOGM128 ueber FT232RL
Rem mit 38400 baud
Dim t As Integer
Dim Buffer
Dim Bufz As String
Dim Ausbyte As Byte
Dim Binaer  As String
Dim j As Long
Dim l As Long
Dim p As Long
Dim lngHandle As Long
Dim k As Long
Dim i As Long
Dim Bildz As Byte
Dim Wert As Byte
Dim Lnge As Integer
Dim sAppPath As String
Dim Namedata As String
Dim EinG(2500) As Byte

Private Sub Command1_Click()
Rem Schnittstelle ffnen
INITFT              'USB Verbindung herstellen
SETBAUD             'Setzen der Baudrate
SETBITMODE          'Asynchroner Bitbang Modus
Chipselect          'Anzeige ansprechen
InitLCD             'Initialisierung der LCD
End Sub
Private Sub Load_Form()
'Beenden des Programms
End Sub
Private Sub INITFT()
If FT_Open(0, lngHandle) <> 0 Then
   MsgBox "Open failed"
   End
End If
Print " FTDI 232 RL erfolgreich geoeffnet"
Print "FTDI hat den USBHandle : " & lngHandle
End Sub
Private Sub SETBAUD()
'Setzen der Baudrate auf 38400
If FT_SetBaudRate(lngHandle, 38400) <> 0 Then
   MsgBox "Baudraten Einstellungsfehler"
   End
End If
Print "FTDI 232 Baudrate auf 38400 Baud gesetzt"
End Sub
Private Sub SETBITMODE()
' Bitmode alles Ausgang asynchroner serieller Bit Bang Mode
 If FT_SetBitMode(lngHandle, &HFF, &H1) <> 0 Then
    MsgBox "Bitmode fehlerhaft gesetzt"
    End
 End If
 Print "serieller Bit-Bang Mode erfolgreich gesetzt"
End Sub
Private Sub Chipselect()
'Signal Chip Select aktivieren und aktiviert lassen da nur eine LCD
Buffer = Chr(&HFF) & Chr(&HF8) & Chr(&HF8) & Chr(&HF8) & Chr(&HF8) & Chr(&HF8)
Buflen = Len(Buffer)
If FT_Write(lngHandle, Buffer, Buflen, 0) <> 0 Then
    MsgBox "Schreiben fehlerhaft"
    End
End If
End Sub
Private Sub dattakt()
'Takt fuer Displaydaten
'Ausgabefolge mit Taktsignal im Buffer zusammensetzen
 For i = 1 To 7
If Mid$(Binaer, i, 1) = 1 Then
   Buffer = Buffer & Chr(241)
   Buffer = Buffer & Chr(243)
   Buffer = Buffer & Chr(241)
   Else: Buffer = Buffer & Chr(240)
         Buffer = Buffer & Chr(242)
         Buffer = Buffer & Chr(240)
   End If
   Next i
 ' und achtes Bit, dabei muss A0 gesetzt sein
 If Mid$(Binaer, i, 1) = 1 Then
   Buffer = Buffer & Chr(245)
   Buffer = Buffer & Chr(247)
   Buffer = Buffer & Chr(245)
   Else: Buffer = Buffer & Chr(244)
         Buffer = Buffer & Chr(246)
         Buffer = Buffer & Chr(244)
   End If
 End Sub
Private Sub InitLCD()
'InitBytes fr die Initialisierung der LCD als Kommandos
Buffer = ""
Binbyte (&H38)     'Funktion Set 1
comtakt
Binbyte (&H39)     'Funktion Set 2
comtakt
Binbyte (&H14)     'BIAS
comtakt
Binbyte (&H78)     'Kontrast
comtakt
Binbyte (&H5E)     'Power  ICON
comtakt
Binbyte (&H6A)     'Follower on
comtakt
Binbyte (&HC)      'Display on
comtakt
Binbyte (&H1)      'Display loeschen
comtakt
Binbyte (&H6)      'Mode Set
comtakt
Komaus             'Kommandoausgabe
End Sub
 Private Sub comtakt()
'Takt fr Kommandos
'Ausgabefolge mit Taktsignal im Buffer zusammensetzen
 For i = 1 To 8
If Mid$(Binaer, i, 1) = 1 Then
   Buffer = Buffer & Chr(241)
   Buffer = Buffer & Chr(243)
   Buffer = Buffer & Chr(241)
   Else: Buffer = Buffer & Chr(240)
         Buffer = Buffer & Chr(242)
         Buffer = Buffer & Chr(240)
   End If
   Next i
 End Sub
Private Sub Komaus()
Buflen = Len(Buffer)
If FT_Write(lngHandle, Buffer, Buflen, 0) <> 0 Then
    MsgBox "Schreiben fehlerhaft"
    End
End If
End Sub
Private Sub SchliessenFT()
' Schliessen des FTDI Controllers
If FT_Close(lngHandle) <> 0 Then
    MsgBox "Schliessen FTDI Schaltkreis fehlerhaft"
End If
End Sub
Private Sub Unload_Form()

End Sub

Public Function Binbyte(ByVal Value As Byte) As String
'Umwandeln eines Bytes in Bytes fuer Ausgabestring
Binbyte = ""
For i = 7 To 0 Step -1
If (Value And (2 ^ i)) = 2 ^ i Then
          Binbyte = Binbyte & "1"
    Else: Binbyte = Binbyte & "0"
    End If
 Next i
 Binaer = Binbyte
End Function

Private Sub Command3_Click()
SchliessenFT
End Sub

Private Sub LCDloeschen_Click()
Buffer = ""
Binbyte (&H1)    'LCD Loeschen
comtakt
Komaus
Text1 = ""
Text2 = ""
Text3 = ""

End Sub

Private Sub Text1_Change()
Buffer = ""
Binbyte (&H80)
comtakt
Komaus
Buffer = ""
For p = 1 To Len(Text1)
Binbyte (Asc(Mid$(Text1, p, 1)))
dattakt
Next p
Komaus
End Sub

Private Sub Text2_Change()
Buffer = ""
Binbyte (&H90)
comtakt
Komaus
Buffer = ""
For p = 1 To Len(Text2)
Binbyte (Asc(Mid$(Text2, p, 1)))
dattakt
Next p
Komaus
End Sub
Private Sub Text3_Change()
Buffer = ""
Binbyte (&HA0)
comtakt
Komaus
Buffer = ""
For p = 1 To Len(Text3)
Binbyte (Asc(Mid$(Text3, p, 1)))
dattakt
Next p
Komaus
End Sub
